Package org.apache.sysds.runtime.ooc.util

# Class OOCUtils

java.lang.Object
org.apache.sysds.runtime.ooc.util.OOCUtils

public class OOCUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`OOCUtils()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`getNumBlocks(DataCharacteristics dc)`
`static IndexRange`
`getRangeOfTile(MatrixIndexes tileIdx, long blen)`
`static Collection<MatrixIndexes>`
`getTilesOfRange(IndexRange range, long blen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OOCUtils

public OOCUtils()

## Method Details

### getRangeOfTile

public static IndexRange getRangeOfTile(MatrixIndexes tileIdx, long blen)

### getTilesOfRange

public static Collection<MatrixIndexes> getTilesOfRange(IndexRange range, long blen)

### getNumBlocks

public static long getNumBlocks(DataCharacteristics dc)